Host Power System Configure Power Policy

Host Power System Configure Power Policy
Configure host power policy.

Configure host power policy.

Required privileges: Host.Config.Power

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostPowerSystem/{moId}/ConfigurePowerPolicy
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostPowerSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ConfigurePowerPolicyRequestType of type(s) application/json
Required
{
    "key": 0
}
integer As int32 As int32
key
Required

A key from one of the policies in PowerSystemCapability.availablePolicy.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

InvalidArgument: if an invalid power policy key is provided.

HostConfigFault: for any other failure.

Returns HostConfigFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"key":"integer"}' https://{api_host}/sdk/vim25/{release}/HostPowerSystem/{moId}/ConfigurePowerPolicy